class walker {

  PVector myPos;
  float mySize;
  int mystep;
  color myColor;// = color(random(0,255),random(0,255),random(0,255));
  int vida;
  long nacimiento;

  walker(int _min, int _max, int _step, int _x, int _y, color _c, int _minVida, int _maxVida){
    myPos = new PVector(_x,_y);
    mySize  = random(_min,_max);
    mystep = _step;
    myColor = _c;
    nacimiento = millis();
    vida = int(random(_minVida, _maxVida));
  }

  void run() {
    update();
    drawMe();
  }

  void update() {
    
    
    
    //creamos un random para cada dirección:
    float randX = random(100);
    float randY = random(100);

    //en la X, si es mayor a 50, el walker va para la derecha
    if(randX >= 50) {
      //como myPos es un VECTOR, lo hacemos con myPos.x
      myPos.x += mystep;
    } // y si es menor, para la izquierda
    else {
      myPos.x -= mystep;
    }

    //y lo mismo para Y: si es mayor a 50, el walker va para abajo
    if(randY >= 50) {
      //como myPos es un VECTOR, lo hacemos con myPos.x
      myPos.y += mystep;
    } // y si es menor, para arriba
    else {
      myPos.y -= mystep;
    }

    myPos.x = constrain(myPos.x,0,width);
    myPos.y = constrain(myPos.y,0,height);
  }

  void drawMe() {

    noStroke();
    fill(myColor);
    //con todo esto, dibujamos:
    ellipse(myPos.x,myPos.y,mySize,mySize);
  }
  
  boolean isDead(){
    if(millis() > nacimiento + vida){
      return true;
    } else {
      return false;
    }
  }
  
} 

